

<!-- BEGIN: Content-->
<div class="app-content content ">
    <div class="content-overlay"></div>
    <div class="header-navbar-shadow"></div>
    <div class="content-wrapper container-xxl p-0">
        <div class="content-header row">
        </div>
        <div class="content-body">
            <section *ngIf="isLoading; else notLoadingBlock">
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
                                <div class="d-flex justify-content-center">
                                    <div class="spinner-border text-primary" role="status">
                            
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div> 
            </section>
            <ng-template #notLoadingBlock>

                <section id="seach-filter">
                    <div class="row">
                        <div class="col-12">
                            <div class="card">
                                <div class="card-header d-flex justify-content-between">
                                    <h4 class="card-title">Liste à faire</h4>
                                    <a *ngIf="project.status >= projectStatus.todosValidatedByClient" role="button" class="btn btn-primary" routerLink="/client/project/{{project._id}}/progression"><i class="fa-solid fa-arrow-trend-up"></i>&nbsp;Progression</a>
                                </div>
                                <div class="card-body">
                                    <app-todo-filter-client (filterClicked)="filterResults($event)" ></app-todo-filter-client>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>

                <section id="list">
                    <div class="row">
                        <div class="col-xl-12 col-lg-12">
                            <div class="card">
                                <div class="card-header">
                                    <h4 class="card-title">Liste</h4>
                                </div>

                                <div class="table-responsive">
                                    <app-gen-datatable
                                        [headers]="headers"
                                        [fetchData]="fetchData"
                                    >
                                    </app-gen-datatable>
                                
                                    
                                </div>
                            </div>
                        </div>
                    </div>
                    
                </section>
                <section *ngIf="project.status == projectStatus.validatedByAdmin">
                    <div class="row">
                        <div class="col-xl-12 col-lg-12">
                            <div class="card p-2">
                                <div class="d-flex justify-content-center">
                                    <app-gen-button [text]="'Valider'" [isLoading]="isValidateTodosLoading" (click)="validateTodos()"></app-gen-button>
                                </div>
                                
                            </div>
                        </div>
                    </div>
                </section>
            </ng-template>
        </div>
    </div>
</div>
<!-- END: Content-->

<!-- Car creation modal -->


<!-- Car update modal-->


